corda / net.corda.node.services.network / NetworkMapService / SubscribeRequest

# SubscribeRequest

`class SubscribeRequest : ServiceRequestMessage`

### Constructors

<init> | `SubscribeRequest(subscribe: Boolean, replyTo: SingleMessageRecipient, sessionID: Long = random63BitValue())`

### Properties

replyTo | `val replyTo: SingleMessageRecipient`
sessionID | `val sessionID: Long`
subscribe | `val subscribe: Boolean`